MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005567ATutorTests/Surveyspublic2015-02-19 09:022016-01-02 10:26
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.2.1 
Summary0005567: Special Chars in Remedial
DescriptionThere seems to be a problem saving test items when remedial content is included that has special characters in it.

http://www.atutor.ca/view/7/25147/1.html [^]

Try with this:
<.,:";'?/}{][)(*&^%$#@!
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0005534closedgreg single quote in M/C questions 

-  Notes
(0007021)
greg (administrator)
2015-02-19 09:18

Reprodcuable on the demo site but not local with MAMP
(0007029)
greg (administrator)
2015-02-22 15:59

added preg_replace to escape single quotes and percent signs when creating test questions
(0007151)
greg (administrator)
2016-01-01 09:59

Closed for 2.2.1

- Related Changesets
ATutor: master a0142ddd
Timestamp: 2015-02-22 15:57:07
Author: atutor
Details ] Diff ]
5567 added preg_replace to escape single quotes and percent signs when creating test questions
mod - mods/_standard/tests/create_question_likert.php Diff ] File ]
mod - mods/_standard/tests/create_question_long.php Diff ] File ]
mod - mods/_standard/tests/create_question_matching.php Diff ] File ]
mod - mods/_standard/tests/create_question_matchingdd.php Diff ] File ]
mod - mods/_standard/tests/create_question_multi.php Diff ] File ]
mod - mods/_standard/tests/create_question_multianswer.php Diff ] File ]
mod - mods/_standard/tests/create_question_ordering.php Diff ] File ]
mod - mods/_standard/tests/create_question_tf.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-19 09:02 greg New Issue
2015-02-19 09:02 greg Description Updated View Revisions
2015-02-19 09:18 greg Note Added: 0007021
2015-02-22 15:59 greg SVN Revision# => 0f21766..a0142dd master -> master
2015-02-22 15:59 greg Note Added: 0007029
2015-02-22 15:59 greg Status new => resolved
2015-02-22 15:59 greg Fixed in Version => 2.2.1
2015-02-22 15:59 greg Resolution open => fixed
2015-02-22 15:59 greg Assigned To => greg
2015-03-15 12:09 greg Changeset attached => ATutor master a0142ddd
2015-09-18 19:43 anonymous SVN Revision# 0f21766..a0142dd master -> master =>
2016-01-01 09:59 greg Note Added: 0007151
2016-01-01 09:59 greg Status resolved => closed
2016-01-02 10:26 greg Relationship added related to 0005534


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker